<script>
  export let bgColorHover;
  export let classStyle;
  export let style;
  export let text;
  export let txtColor;
</script>

<style>
  .tag_icon {
    width: 1rem;
    height: 1rem;
  }

  .tag {
    height: 2.5rem;
  }

  input:checked + .tag {
    background-color: var(--orange-30);
  }

  input:checked + .tag > span {
    color: var(--orange-90);
  }
  input:checked + .tag > svg {
    fill: var(--orange-70);
  }
</style>

<input type="checkbox" id={text} style="display:none" />
<label
  for={text}
  class="tag br-025 ptb-005 flex flex-aic bgc-tran flex-jcfs {bgColorHover}
  tran-300 cursor-pointer mb-005 {classStyle} mr-010 {style}">
  <svg viewBox="0 0 14 14" class="tag_icon f-achro-50 ml-010 mr-005 tran-300">
    <path
      fill-rule="evenodd"
      clip-rule="evenodd"
      d="M5.59303 0.25581C6.00404 0.307186 6.29559 0.682029 6.24421
      1.09304L5.84959 4.24998H8.83792L9.25579 0.906992C9.30717 0.495977 9.68201
      0.204433 10.093 0.25581C10.504 0.307186 10.7956 0.682029 10.7442
      1.09304L10.3496 4.24998H13C13.4142 4.24998 13.75 4.58577 13.75
      4.99998C13.75 5.4142 13.4142 5.74998 13 5.74998H10.1621L9.84958
      8.25005H13C13.4142 8.25005 13.75 8.58584 13.75 9.00005C13.75 9.41427
      13.4142 9.75005 13 9.75005H9.66208L9.24421 13.093C9.19283 13.5041 8.81799
      13.7956 8.40697 13.7442C7.99596 13.6929 7.70441 13.318 7.75579
      12.907L8.15041 9.75005H5.16208L4.74421 13.093C4.69283 13.5041 4.31799
      13.7956 3.90697 13.7442C3.49596 13.6929 3.20441 13.318 3.25579
      12.907L3.65041 9.75005H1C0.585786 9.75005 0.25 9.41427 0.25 9.00005C0.25
      8.58584 0.585786 8.25005 1 8.25005H3.83791L4.15042 5.74998H1C0.585786
      5.74998 0.25 5.4142 0.25 4.99998C0.25 4.58577 0.585786 4.24998 1
      4.24998H4.33792L4.75579 0.906992C4.80717 0.495977 5.18201 0.204433 5.59303
      0.25581ZM5.66209 5.74998L5.34958 8.25005H8.33791L8.65042 5.74998H5.66209Z" />
  </svg>
  <span class="{txtColor} c-achro-30 fs-10 fw-500 tran-300">{text}</span>
</label>
